#pragma once

#include "CoreMinimal.h"
#include "ColoGradingTemperature.h"
#include "ColoGradingGlobal.h"
#include "ColoGradingShadows.h"
#include "ColoGradingMidtones.h"
#include "ColoGradingHighlights.h"
#include "ColoGradingMisc.h"
#include "ColorGradingParams.generated.h"

USTRUCT(BlueprintType)
struct FColorGradingParams
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Interp)
	FColoGradingTemperature Temperature;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Interp)
	FColoGradingGlobal Global;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Interp)
	FColoGradingShadows Shadows;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Interp)
	FColoGradingMidtones Midtones;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Interp)
	FColoGradingHighlights Highlights;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Interp)
	FColoGradingMisc Misc;

public:
	GRAPHICSEXTENSIONS_API FColorGradingParams();
};

FORCEINLINE uint32 GetTypeHash(const FColorGradingParams) { return 0; }
